declare const _default: {
    name: string;
    data: () => {
        eventSource: {
            new (url: string | URL, eventSourceInitDict?: EventSourceInit): EventSource;
            prototype: EventSource;
            readonly CLOSED: number;
            readonly CONNECTING: number;
            readonly OPEN: number;
        };
        countNotifications: number;
        notifications: any[];
        showNotifications: boolean;
        localStorage: {
            new (): Storage;
            prototype: Storage;
        };
    };
    mounted(): Promise<void>;
    methods: {
        connectToSSE(): void;
        onClick(): void;
        saveMessagesToLocalStorage(): void;
        getMessagesFromLocalStorage(): void;
    };
    computed: {
        notificationList(): any;
        countNotificationsUnread(): any;
    };
};
export default _default;
